ClientCasa
API

Payouts

View Stripe payouts to your bank account. Payouts are read-only — they're created automatically by Stripe webhooks.

GET
/api/v1/payouts
x-api-key<token>

In: header

Query Parameters

page?integer
Default1
Range1 <= value
pageSize?integer
Default25
Range1 <= value <= 100
status?string
Value in"pending" | "in_transit" | "paid" | "failed" | "canceled"
arrivalDateFrom?string
Formatdate
arrivalDateTo?string
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://www.clientcasa.com/api/v1/payouts"
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "stripePayoutId": "string",
      "amount": 0,
      "currency": "string",
      "arrivalDate": "2019-08-24",
      "status": "pending",
      "type": "string",
      "automatic": true,
      "description": "string",
      "bankAccountLast4": "string",
      "bankAccountName": "string",
      "grossTotal": 0,
      "feeTotal": 0,
      "refundTotal": 0,
      "paymentCount": 0,
      "failureCode": "string",
      "failureMessage": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": 1,
    "pageSize": 1,
    "total": 0,
    "totalPages": 0,
    "hasMore": true
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
GET
/api/v1/payouts/{id}
x-api-key<token>

In: header

Path Parameters

id*string

UUID v4

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://www.clientcasa.com/api/v1/payouts/550e8400-e29b-41d4-a716-446655440000"
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "stripePayoutId": "string",
  "amount": 0,
  "currency": "string",
  "arrivalDate": "2019-08-24",
  "status": "pending",
  "type": "string",
  "automatic": true,
  "description": "string",
  "bankAccountLast4": "string",
  "bankAccountName": "string",
  "grossTotal": 0,
  "feeTotal": 0,
  "refundTotal": 0,
  "paymentCount": 0,
  "failureCode": "string",
  "failureMessage": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}